<form class="{{cssClass}}" autocomplete="off">

    <div class="flexcol">

        <div class="flexrow ae-header">
            <img class="ae-icon" src="{{item.img}}" data-edit="img" />
            <h1 class="ae-name">
                <input name="name" type="text" value="{{item.name}}" placeholder="Name"/>
            </h1>
            <img class="ae-icon" src={{weapon.slot.icon}} />
        </div>
    </div>

    <section class="flexcol ae-body">
        {{#if chooseBaseWeapon }}
            {{#each baseWeapons as |category|}}
                <h2 class="choose-weapon-title">{{category.size.name}} <i class="wa-tooltip far fa-question-circle" data-shortcut="{{category.size.shortcut}}" data-child="{{category.size.shortcutChild}}"></i></h2>
                <div class="flexrow choose-weapon-panel">
                    {{#each category.weapons as |weapon|}}
                        <div class="flexrow available-base-weapon" data-ref="{{weapon.weapon}}">
                            <img class="weapon-icon wa-tooltip" src="{{weapon.icon}}" data-shortcut="{{weapon.shortcut}}" data-child="{{weapon.shortcutChild}}">
                            <div class="flexcol weapon-desc-part">
                                <a class="flexrow weapon-name">{{weapon.name}}</a>
                                <div class="flexrow weapon-affixes">
                                    {{#each weapon.affixes as |affix|}}
                                        <span class="wa-link" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></span>
                                    {{/each}}
                                </div>
                            </div>
                        </div>
                    {{/each}}
                </div>
            {{/each}}
        {{/if}}

        {{#if displayDetails }}

            <div class="flexrow weapon-base-data">

                <!-- Weapon base data -->
                <div class="flexcol ae-col">
                    <span class="ae-descline current-weapon-base">
                        <span>{{localize 'AESYSTEM.item.weapon.sheet.baseWeapon'}}</span>
                        {{#if upgradable }}
                            &nbsp;<a class="current-weapon-delete"><i class="fas fa-trash"></i></a>
                        {{/if}}
                    </span>
                    <span class="ae-descline">
                        <span class="wa-link" data-shortcut="{{weapon.basedOn.shortcut}}" data-child="{{weapon.basedOn.shortcutChild}}"></span>
                    </span>
                </div>
                <div class="flexcol ae-col">
                    <span class="ae-descline">{{localize 'AESYSTEM.item.weapon.sheet.weaponSize'}}</span>
                    <span class="ae-descline">
                        <span class="wa-link" data-shortcut="{{weapon.size.shortcut}}" data-child="{{weapon.size.shortcutChild}}"></span>
                    </span>
                </div>
                <div class="flexcol ae-col">
                    <span class="ae-descline">{{localize 'AESYSTEM.item.weapon.sheet.weaponSpeed'}}</span>
                    <span class="ae-descline {{weaponSpeed.css}}">{{weaponSpeed.value}}</span>
                </div>
            </div>

            <!-- Rarity and Price -->
            <div class="flexrow weapon-base-data">
                <div class="flexcol ae-col">
                    <span class="ae-descline">{{localize 'AESYSTEM.item.sheet.equipment.quality'}}</span>
                    <span class="ae-descline">{{weapon.rarity.name}}</span>
                </div>
                <div class="flexcol ae-col">
                    <span class="ae-descline">{{localize 'AESYSTEM.item.sheet.equipment.price'}}</span>
                    <span class="ae-descline">{{weapon.cost}}</span>
                </div>
            </div>

            <div class="flexrow weapon-base-data">
                <div class="flexcol ae-col">
                    {{#if changingElement}}
                        <span class="ae-descline">{{localize 'AESYSTEM.item.weapon.sheet.element.changing'}}</span>
                        <div class="flexrow choosing-elem-row">
                            {{#each availableElements as |elem|}}
                                <img class="elem-icon new-elem" src={{elem.icon}} data-elem="{{elem.key}}" >
                            {{/each}}
                        </div>
                    {{else}}
                        <span class="ae-descline">{{currentElementTitle}}</span>
                        <img class="elem-icon change-elem" src={{weapon.element.icon}}>
                    {{/if}}
                </div>
            </div>

            <div class="ae-subsection">{{localize 'AESYSTEM.item.weapon.sheet.description'}}</div>
            <div class="weapon-description">
                {{editor data.system.description target="system.description" button=true owner=owner editable=upgradable}}
            </div>


            <div class="ae-subsection">{{localize 'AESYSTEM.item.weapon.sheet.damage'}} <i class="wa-tooltip far fa-question-circle" data-shortcut="item.weapon.damages"></i></div>
            <div class="weapon-damage-grid">
                {{#each weaponDamage as |dmg|}}
                    <div class="item {{dmg.css}}">{{dmg.value}}</div>
                {{/each}}
            </div>
            <div class="ae-subsection">{{localize 'AESYSTEM.item.weapon.sheet.affixes'}}</div>
            <div class="flexcol weapon-affix-list">
                {{#each weaponAffixes as |affix|}}
                    <span class="ae-descline" data-ref="{{affix.key}}">
                        <span class="wa-link {{#if affix.fromSpells}}blue{{/if}}" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></span>
                        {{#if affix.upgradable }}
                            <a class="affix-delete"><i class="fas fa-trash"></i></a>
                        {{/if}}
                    </span>
                {{/each}}
            </div>
            {{#if upgradable }}
                <div class="ae-subsection">{{localize 'AESYSTEM.item.weapon.sheet.newAffixes'}}</div>
                <div class="new-affixes">
                    {{#each affixMenus as |section|}}
                        <div class="ae-subsection">{{section.menu.name}}</div>
                        <div class="flexrow">
                            {{#each section.affixes as |affix|}}
                                <span class="new-affix-line" data-ref="{{affix.key}}">
                                    <span class="wa-link" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></span>
                                    <a class="affix-add"><i class="fas fa-plus"></i></a>
                                </span>
                            {{/each}}
                        </div>
                    {{/each}}
                </div>
            {{/if}}
        {{/if}}

    </section>

</form>
